ApiTimeSeries (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiTimeSeries

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiTimeSeries

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiTimeSeries
      extends Object

  A time series represents a stream of data points. Each data point contains a time and a value. Time series are returned by executing a tsquery.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiTimeSeries()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiTimeSeries` | `addDataItem(ApiTimeSeriesData dataItem)`
    `ApiTimeSeries` | `data(List<ApiTimeSeriesData> data)`
    `boolean` | `equals(Object o)`
    `List<ApiTimeSeriesData>` | `getData()` List of metric data points.
    `ApiTimeSeriesMetadata` | `getMetadata()` Metadata for the metric.
    `int` | `hashCode()`
    `ApiTimeSeries` | `metadata(ApiTimeSeriesMetadata metadata)`
    `void` | `setData(List<ApiTimeSeriesData> data)`
    `void` | `setMetadata(ApiTimeSeriesMetadata metadata)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiTimeSeries

          public ApiTimeSeries()

  - ### Method Detail

    - #### metadata

          public ApiTimeSeries metadata(ApiTimeSeriesMetadata metadata)

    - #### getMetadata

          public ApiTimeSeriesMetadata getMetadata()

      Metadata for the metric.
      Returns:
        metadata

    - #### setMetadata

          public void setMetadata(ApiTimeSeriesMetadata metadata)

    - #### data

          public ApiTimeSeries data(List<ApiTimeSeriesData> data)

    - #### addDataItem

          public ApiTimeSeries addDataItem(ApiTimeSeriesData dataItem)

    - #### getData

          public List<ApiTimeSeriesData> getData()

      List of metric data points.
      Returns:
        data

    - #### setData

          public void setData(List<ApiTimeSeriesData> data)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.